Freeciv-3.3: /fast/freeciv/nightly/main/tools/ruledit/validity.h File Reference

Freeciv-3.3

Loading...
Searching...
No Matches
Typedefs | Functions
validity.h File Reference

Go to the source code of this file.

## Typedefs

typedef void(* | requirers_cb) (const char *msg, void *data)

## Functions

bool | is_tech_needed (struct advance *padv, requirers_cb cb, void *data)
bool | is_building_needed (struct impr_type *pimpr, requirers_cb cb, void *data)
bool | is_utype_needed (struct unit_type *ptype, requirers_cb cb, void *data)
bool | is_achievement_needed (struct achievement *pach, requirers_cb cb, void *data)
bool | is_good_needed (struct goods_type *pgood, requirers_cb cb, void *data)
bool | is_government_needed (struct government *pgov, requirers_cb cb, void *data)
bool | is_extra_needed (struct extra_type *pextra, requirers_cb cb, void *data)
bool | is_multiplier_needed (struct multiplier *pmul, requirers_cb cb, void *data)
bool | is_terrain_needed (struct terrain *pterr, requirers_cb cb, void *data)
bool | is_counter_needed (struct counter *pcount, requirers_cb cb, void *data)

## Typedef Documentation

## ◆ requirers_cb

typedef void(* requirers_cb) (const char *msg, void *data)

Definition at line 20 of file validity.h.

## Function Documentation

## ◆ is_achievement_needed()

bool is_achievement_needed | ( | struct achievement * | pach,
|  | requirers_cb | cb,
|  | void * | data
| ) |  |

Check if anything in ruleset needs achievement type

Definition at line 273 of file validity.c.

Referenced by tab_achievement::delete_now().

## ◆ is_building_needed()

bool is_building_needed | ( | struct impr_type * | pimpr,
|  | requirers_cb | cb,
|  | void * | data
| ) |  |

Check if anything in ruleset needs building

Definition at line 238 of file validity.c.

Referenced by tab_building::delete_now().

## ◆ is_counter_needed()

bool is_counter_needed | ( | struct counter * | pcount,
|  | requirers_cb | cb,
|  | void * | data
| ) |  |

Check if anything in ruleset needs counter

Definition at line 189 of file validity.c.

Referenced by tab_counter::delete_now().

## ◆ is_extra_needed()

bool is_extra_needed | ( | struct extra_type * | pextra,
|  | requirers_cb | cb,
|  | void * | data
| ) |  |

Check if anything in ruleset needs extra type

Definition at line 301 of file validity.c.

Referenced by tab_extras::delete_now().

## ◆ is_good_needed()

bool is_good_needed | ( | struct goods_type * | pgood,
|  | requirers_cb | cb,
|  | void * | data
| ) |  |

Check if anything in ruleset needs goods type

Definition at line 287 of file validity.c.

Referenced by tab_good::delete_now().

## ◆ is_government_needed()

bool is_government_needed | ( | struct government * | pgov,
|  | requirers_cb | cb,
|  | void * | data
| ) |  |

Check if anything in ruleset needs government

Definition at line 358 of file validity.c.

Referenced by tab_gov::delete_now().

## ◆ is_multiplier_needed()

bool is_multiplier_needed | ( | struct multiplier * | pmul,
|  | requirers_cb | cb,
|  | void * | data
| ) |  |

Check if anything in ruleset needs multiplier

Definition at line 396 of file validity.c.

Referenced by tab_multiplier::delete_now().

## ◆ is_tech_needed()

bool is_tech_needed | ( | struct advance * | padv,
|  | requirers_cb | cb,
|  | void * | data
| ) |  |

Check if anything in ruleset needs tech

Definition at line 199 of file validity.c.

Referenced by tab_tech::delete_now().

## ◆ is_terrain_needed()

bool is_terrain_needed | ( | struct terrain * | pterr,
|  | requirers_cb | cb,
|  | void * | data
| ) |  |

Check if anything in ruleset needs terrain type

Definition at line 331 of file validity.c.

Referenced by tab_terrains::delete_now().

## ◆ is_utype_needed()

bool is_utype_needed | ( | struct unit_type * | ptype,
|  | requirers_cb | cb,
|  | void * | data
| ) |  |

Check if anything in ruleset needs unit type

Definition at line 252 of file validity.c.

Referenced by tab_unit::delete_now().